#ifndef TMHistogrammingClusterMultiplicity_H
#define TMHistogrammingClusterMultiplicity_H

#include "TMHistogramming.h"

class TH2F;
class TGraph;
class HenrikClusterFinderSPD;
struct eventHeaderStruct;

class TMHistogrammingClusterMultiplicity : public TMHistogramming {
 public:
  TMHistogrammingClusterMultiplicity();
  virtual ~TMHistogrammingClusterMultiplicity();
  
  virtual void ProcessClusters(HenrikClusterFinderSPD* clFinder);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:

  TH2F   *fTheHisto;

  TGraph *fTotal;
  TGraph *fInner;
  TGraph *fOuter;

  UInt_t fClusterCountInner;
  UInt_t fClusterCountOuter;
  UInt_t fClusterCountTotal;

  UInt_t fInternalEventCounter;

  Int_t fRangeX1;
  Int_t fRangeX2;
  Int_t fRangeY2;

  ULong_t fTimeStamp;

  virtual void CreateHistos();

};

#endif
